<?php
use Psr\Container\ContainerInterface;

return [
    Symfony\Component\Console\CommandLoader\CommandLoaderInterface::class => function(ContainerInterface $container) {
        return new Symfony\Component\Console\CommandLoader\ContainerCommandLoader($container, $container->get('commands'));
    },
    Incoviba\Command\Full::class => function(ContainerInterface $container) {
        return new Incoviba\Command\Full(
            $container->get(Psr\Http\Client\ClientInterface::class),
            $container->get(Psr\Log\LoggerInterface::class),
            $container->get('commands')
        );
    }
];
